guicomponents

## Class GCScheme

- java.lang.Object
- - guicomponents.GCScheme

- All Implemented Interfaces:
    GConstants

      public class GCScheme
      extends Object
      implements GConstants

  Stores all the colour information for the GUI components into a scheme. Defines a set of predefined schemes covering the primary colours
  Author:
    Peter Lager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `acbBorder`
    `int` | `acbFirst`
    `int` | `acbLast`
    `int` | `acbTrack`
    `static int` | `ALPHA_MASK`
    `static int` | `BLUE_SCHEME`
    `int` | `btnBorder`
    `int` | `btnDown`
    `int` | `btnFont`
    `int` | `btnOff`
    `int` | `btnOver`
    `int` | `cbxBack`
    `int` | `cbxBorder`
    `int` | `cbxFont`
    `static int` | `COL_MASK`
    `static int` | `CYAN_SCHEME`
    `static int` | `GREEN_SCHEME`
    `static int` | `GREY_SCHEME`
    `int` | `knobBorder`
    `int` | `knobFill`
    `int` | `knobNeedle`
    `int` | `knobTicks`
    `int` | `knobTrack`
    `int` | `lblBack`
    `int` | `lblBorder`
    `int` | `lblFont`
    `int` | `optBack`
    `int` | `optBorder`
    `int` | `optFont`
    `int` | `pnlBack`
    `int` | `pnlBorder`
    `int` | `pnlFont`
    `int` | `pnlTabBack`
    `static int` | `PURPLE_SCHEME`
    `static int` | `RED_SCHEME`
    `int` | `schemeNo`
    `int` | `sdrBorder`
    `int` | `sdrThumb`
    `int` | `sdrTrack`
    `int` | `txfBack`
    `int` | `txfBorder`
    `int` | `txfCursor`
    `int` | `txfFont`
    `int` | `txfSelBack`
    `static int` | `YELLOW_SCHEME`

    - ### Fields inherited from interface guicomponents.GConstants

      `ADD_DUPLICATE, BACKGROUND, CHANGED, CLICKED, CLOSE_WINDOW, COLLAPSED, CTRL_ANGULAR, CTRL_HORIZONTAL, CTRL_VERTICAL, DESELECTED, DISABLE_AUTO_DRAW, DRAGGED, ENTERED, EXCP_IN_HANDLER, EXIT_APP, EXPANDED, FAMILY, FOREGROUND, HUD_UNSUPPORTED, INVALID_STATUS, JUSTIFICATION, JUSTIFICATION_FULL, JUSTIFICATION_NONE, KEEP_OPEN, MISSING, NONEXISTANT, NOT_PEASYCAM, POSTURE, POSTURE_OBLIQUE, POSTURE_REGULAR, PRESSED, RELEASED, RUNTIME_ERROR, SCROLL_DOWN, SCROLL_LEFT, SCROLL_RIGHT, SCROLL_UP, SCROLLBAR_HORIZONTAL, SCROLLBAR_VERTICAL, SCROLLBARS_AUTOHIDE, SCROLLBARS_BOTH, SCROLLBARS_HORIZONTAL_ONLY, SCROLLBARS_NONE, SCROLLBARS_VERTICAL_ONLY, SELECTED, SET, SIZE, STRIKETHROUGH, STRIKETHROUGH_OFF, STRIKETHROUGH_ON, SUPERSCRIPT, SUPERSCRIPT_SUB, SUPERSCRIPT_SUPER, USER_COL_SCHEME, WEIGHT, WEIGHT_BOLD, WEIGHT_DEMIBOLD, WEIGHT_DEMILIGHT, WEIGHT_EXTRA_LIGHT, WEIGHT_EXTRABOLD, WEIGHT_HEAVY, WEIGHT_LIGHT, WEIGHT_MEDIUM, WEIGHT_REGULAR, WEIGHT_SEMIBOLD, WEIGHT_ULTRABOLD, WIDTH, WIDTH_CONDENSED, WIDTH_EXTENDED, WIDTH_REGULAR, WIDTH_SEMI_CONDENSED, WIDTH_SEMI_EXTENDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCScheme()` Create a default (blue) scheme
    `GCScheme(GCScheme gcScheme)` Copy ctor
    `GCScheme(int csn)` Create a scheme for a given scheme number

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlpha()` Get the transparency level
    `static GCScheme` | `getColor(PApplet theApplet)` Set the default color scheme
    `static GCScheme` | `getColor(PApplet theApplet, int schemeNo)` Set the color scheme to one of the preset schemes BLUE / GREEN / RED / PURPLE / YELLOW / CYAN / GREY or if you have created your own schemes following the instructions at gui4processing.lagers.org.uk/colorscheme.html then you can enter the appropriate numeric value of the scheme.
    `void` | `setAlpha(int alpha)` Changes the alpha level for all elements of the scheme.
    `static int` | `setAlpha(int col, int alpha)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLUE_SCHEME

          public static final int BLUE_SCHEME

      See Also:
        Constant Field Values

    - #### GREEN_SCHEME

          public static final int GREEN_SCHEME

      See Also:
        Constant Field Values

    - #### RED_SCHEME

          public static final int RED_SCHEME

      See Also:
        Constant Field Values

    - #### PURPLE_SCHEME

          public static final int PURPLE_SCHEME

      See Also:
        Constant Field Values

    - #### YELLOW_SCHEME

          public static final int YELLOW_SCHEME

      See Also:
        Constant Field Values

    - #### CYAN_SCHEME

          public static final int CYAN_SCHEME

      See Also:
        Constant Field Values

    - #### GREY_SCHEME

          public static final int GREY_SCHEME

      See Also:
        Constant Field Values

    - #### COL_MASK

          public static final int COL_MASK

      See Also:
        Constant Field Values

    - #### ALPHA_MASK

          public static final int ALPHA_MASK

      See Also:
        Constant Field Values

    - #### schemeNo

          public int schemeNo

    - #### pnlFont

          public int pnlFont

    - #### pnlTabBack

          public int pnlTabBack

    - #### pnlBack

          public int pnlBack

    - #### pnlBorder

          public int pnlBorder

    - #### btnFont

          public int btnFont

    - #### btnOff

          public int btnOff

    - #### btnOver

          public int btnOver

    - #### btnDown

          public int btnDown

    - #### btnBorder

          public int btnBorder

    - #### sdrTrack

          public int sdrTrack

    - #### sdrThumb

          public int sdrThumb

    - #### sdrBorder

          public int sdrBorder

    - #### txfFont

          public int txfFont

    - #### txfBack

          public int txfBack

    - #### txfSelBack

          public int txfSelBack

    - #### txfBorder

          public int txfBorder

    - #### txfCursor

          public int txfCursor

    - #### lblFont

          public int lblFont

    - #### lblBack

          public int lblBack

    - #### lblBorder

          public int lblBorder

    - #### optFont

          public int optFont

    - #### optBack

          public int optBack

    - #### optBorder

          public int optBorder

    - #### cbxFont

          public int cbxFont

    - #### cbxBack

          public int cbxBack

    - #### cbxBorder

          public int cbxBorder

    - #### acbBorder

          public int acbBorder

    - #### acbTrack

          public int acbTrack

    - #### acbFirst

          public int acbFirst

    - #### acbLast

          public int acbLast

    - #### knobBorder

          public int knobBorder

    - #### knobFill

          public int knobFill

    - #### knobTrack

          public int knobTrack

    - #### knobTicks

          public int knobTicks

    - #### knobNeedle

          public int knobNeedle

  - ### Constructor Detail

    - #### GCScheme

          public GCScheme()

      Create a default (blue) scheme

    - #### GCScheme

          public GCScheme(int csn)

      Create a scheme for a given scheme number
      Parameters:
        `csn` -

    - #### GCScheme

          public GCScheme(GCScheme gcScheme)

      Copy ctor
      Parameters:
        `gcScheme` - scheme to copy

  - ### Method Detail

    - #### setAlpha

          public static int setAlpha(int col,
                     int alpha)

    - #### getColor

          public static GCScheme getColor(PApplet theApplet)

      Set the default color scheme
      Parameters:
        `theApplet` -
      Returns:
        the applets color scheme

    - #### getColor

          public static GCScheme getColor(PApplet theApplet,
                          int schemeNo)

      Set the color scheme to one of the preset schemes BLUE / GREEN / RED / PURPLE / YELLOW / CYAN / GREY or if you have created your own schemes following the instructions at gui4processing.lagers.org.uk/colorscheme.html then you can enter the appropriate numeric value of the scheme.
      Parameters:
        `theApplet` -
        `schemeNo` -
      Returns:
        the color scheme based on the scheme number

    - #### setAlpha

          public void setAlpha(int alpha)

      Changes the alpha level for all elements of the scheme.
      Parameters:
        `alpha` - in the range 0 (fully transparent) to 255 (fully opaque)

    - #### getAlpha

          public int getAlpha()

      Get the transparency level
      Returns:
        0 - transparent; 255 - opaque

Processing library guicomponents by Peter Lager. (C) 2012